VM_SET_PAGE_SIZE(9)

NAME
vm_set_page_size - initialize the system page size

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_set_page_size(void);

DESCRIPTION
The vm_set_page_size() function initializes the system page size. If vm_cnt.v_page_size (see <sys/vmmeter.h>) equals 0, PAGE_SIZE is used; otherwise, the value stored in vm_cnt.v_page_size is used. If vm_cnt.v_page_size is not a power of two, the system will panic.

vm_set_page_size() must be called prior to any page size dependent functions.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.